﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplication1.sms_ws;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        SmsPanelWebservice SmsPanel = new SmsPanelWebservice();
        string smsid = "0";
        int cash = 0;

        public ActionResult Index()
        {


            return View();
        }

        [HttpPost]
        public ActionResult Send(string username, string password, string src_number, string dst_number, string body)
        {

            smsid = SmsPanel.send_sms(username, password, new string[] { src_number }, new string[] { dst_number }, new string[] { body }, new string[] { "0" }, new string[] { DateTime.Now.Ticks.ToString() }, new string[] { "0" } , "ok")[0];
            ViewBag.sms_id = smsid;
            return View("Index");
        }

        [HttpPost]
        public ActionResult Getsms(string username, string password, string src_number)
        {

            array_receive[] sms_list = SmsPanel.sms_receive(username, password, src_number, 0, 1, 1000, -1, null);

            return View("Index", sms_list);
        }
        [HttpPost]
        public ActionResult Getcash(string username, string password )
        {

            cash = SmsPanel.sms_credit(username, password );
            ViewBag.cash = cash;

            return View("Index");
        }
        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        public ActionResult About()
        {

            return View();
        }
    }
}